Bug 770123 - Remove max_cstate=1 from the oVirt Node kernel command line default options
Summary: Remove max_cstate=1 from the oVirt Node kernel command line default options
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ovirt-node
Version: 6.2
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Mike Burns
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 770122
Blocks: 770153
TreeView+ depends on / blocked
 
Reported: 2011-12-23 13:19 UTC by Perry Myers
Modified: 2016-04-26 14:31 UTC (History)
12 users (show)

Fixed In Version: ovirt-node-2.2.3-1.el6
Doc Type: Bug Fix
Doc Text:
Previously the Hypervisor always included 'max_cstate=1' in the kernel boot options. This limited the cstates available to the processor, avoiding clock skew on older hardware. The Hypervisor has been updated and this option is now only used on older hardware where clock skew issues are anticipated. On newer hardware where this is not an issue all supported cstates are available.
Clone Of: 770122
: 770153 (view as bug list)
Environment:
Last Closed: 2012-07-19 14:17:22 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:0741 0 normal SHIPPED_LIVE ovirt-node bug fix and enhancement update 2012-07-19 18:10:46 UTC

Description Perry Myers 2011-12-23 13:19:44 UTC
+++ This bug was initially created as a clone of Bug #770122 +++

Description of problem:
max_cstate=1 was added to kernel defaults for oVirt Node due to a large portion of hardware having issues w/ time sync in kvm.

As long as hardware has a stable/constant tsc, it should be safe to remove this restriction.  People with older hardware can always manually add it back in.

Comment 6 Stephen Gordon 2012-03-30 19:10:21 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously the Hypervisor always included 'max_cstate=1' in the kernel boot options. This limited the cstates available to the processor to limit clock skew on older hardware. The Hypervisor has been updated and this option is now only used on hardware where clock skew issues are anticipated.

Comment 7 Stephen Gordon 2012-03-30 19:15:50 UTC
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-Previously the Hypervisor always included 'max_cstate=1' in the kernel boot options. This limited the cstates available to the processor to limit clock skew on older hardware. The Hypervisor has been updated and this option is now only used on hardware where clock skew issues are anticipated.+Previously the Hypervisor always included 'max_cstate=1' in the kernel boot options. This limited the cstates available to the processor, avoiding clock skew on older hardware. The Hypervisor has been updated and this option is now only used on hardware where clock skew issues are anticipated.

Comment 8 Stephen Gordon 2012-03-30 19:17:49 UTC
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-Previously the Hypervisor always included 'max_cstate=1' in the kernel boot options. This limited the cstates available to the processor, avoiding clock skew on older hardware. The Hypervisor has been updated and this option is now only used on hardware where clock skew issues are anticipated.+Previously the Hypervisor always included 'max_cstate=1' in the kernel boot options. This limited the cstates available to the processor, avoiding clock skew on older hardware. The Hypervisor has been updated and this option is now only used on older hardware where clock skew issues are anticipated. On newer hardware where this is not an issue all supported cstates are available.

Comment 12 errata-xmlrpc 2012-07-19 14:17:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0741.html


Note You need to log in before you can comment on or make changes to this bug.